### Method

# Gimp Item transform_scale

#### Declaration [src]

    GimpItem*
    gimp_item_transform_scale (
      GimpItem* item,
      gdouble x0,
      gdouble y0,
      gdouble x1,
      gdouble y1
    )

#### Description [src]

Scale the specified item.

This procedure scales the specified item.

The 2 coordinates specify the new locations of the top-left and bottom-roght corners of the original bounding box.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then scaled as specified. The return value is the ID of the scaled floating selection.

If there is no selection or the item is not a drawable, the entire item will be scaled according to the specified coordinates. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: gimp_context_set_interpolation(), gimp_context_set_transform_direction(), gimp_context_set_transform_resize().

Available since: | 2.8

#### Parameters

`x0` | `gdouble`
| The new x coordinate of the upper-left corner of the scaled region.
`y0` | `gdouble`
| The new y coordinate of the upper-left corner of the scaled region.
`x1` | `gdouble`
| The new x coordinate of the lower-right corner of the scaled region.
`y1` | `gdouble`
| The new y coordinate of the lower-right corner of the scaled region.

#### Return value

Returns: | `GimpItem`
| The scaled item.
| The data is owned by the instance.